Loading...
Searching...
No Matches
caf::blocking_actor::accept_one_cond Class Reference

Pseudo receive condition modeling a single receive. More...

`#include <blocking_actor.hpp>`

Inheritance diagram for caf::blocking_actor::accept_one_cond:

## Public Member Functions

bool | post () override
| Returns whether a postcondition for receiving a message still holds.
Public Member Functions inherited from caf::blocking_actor::receive_cond
virtual bool | pre ()
| Returns whether a precondition for receiving a message still holds.

## Detailed Description

Pseudo receive condition modeling a single receive.

## Member Function Documentation

## post()

bool caf::blocking_actor::accept_one_cond::post | ( |  | ) |

override virtual

Returns whether a postcondition for receiving a message still holds.

Reimplemented from caf::blocking_actor::receive_cond.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/blocking_actor.hpp